
Katello - Feature #5198

[5] Bastion pages should be using angular's html5 mode to avoid page reloads

04/14/2014 09:24 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently our Bastion code is a series of many single page applications rather than one single page application.

By changing it to be one single page application we will speed up load time between the pages (since we won't have to reload the

entire page) as well as be able to remove more rails code.  This will make the application more responsive and maintainable.

Associated revisions

Revision 980d55c2 - 04/29/2014 10:29 AM - Walden Raines

Fixes #5198 - make bastion a true single page application.

This PR changes all bastion pages to be served as a single page

from / instead of multiple pages served from /katello/<resource>.

This will speed up load time between the pages (since we won't

have to reload the entire page for each Bastion page).

Revision 4a3adc54 - 04/29/2014 11:11 AM - Walden Raines

Merge pull request #3979 from waldenraines/html5mode

Fixes #5198 - make bastion a true single page application.

Revision b5f61ac9 - 04/29/2014 02:29 PM - Walden Raines

Fixes #5198 - make bastion a true single page application.

This PR changes all bastion pages to be served as a single page

from / instead of multiple pages served from /katello/<resource>.

This will speed up load time between the pages (since we won't

have to reload the entire page for each Bastion page).

Revision 8bb519f4 - 04/29/2014 03:11 PM - Walden Raines

Merge pull request #3979 from waldenraines/html5mode

Fixes #5198 - make bastion a true single page application.

History

#1 - 04/14/2014 09:26 PM - Walden Raines

This will also help with redirection after logging in.

Also, as part of this change bastion pages will be served at the root URL instead of /katello.

#2 - 04/14/2014 09:54 PM - Walden Raines

- % Done changed from 0 to 60

#3 - 04/14/2014 09:54 PM - Walden Raines

- Due date set to 04/18/2014
#4 - 04/23/2014 01:52 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

- % Done changed from 60 to 90

https://github.com/Katello/katello/pull/3979

#5 - 04/24/2014 09:40 PM - Mike McCune

- Target version changed from 43 to 44

#6 - 04/28/2014 04:15 PM - Walden Raines

- Subject changed from Bastion pages should be using angular's html5 mode to avoid page reloads to [5] Bastion pages should be using angular's

html5 mode to avoid page reloads

#7 - 04/29/2014 03:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 90 to 100

Applied in changeset katello|commit:b5f61ac9a56a8e520a8409373ee2212f1f95f64f.

#8 - 08/18/2014 09:08 AM - Eric Helms

- translation missing: en.field_release changed from 14 to 13

- Triaged changed from No to Yes
